pascal:
  &pascal !user
  id: magalie_user_pascal
  login: phe
  name: Pascal Heinz
  accreditationLevel: 9

bruno:
  &bruno !user
  id: magalie_user_bruno
  login: bmr
  name: Bruno Menager
  accreditationLevel: 9

corinne:
  &corinne !user
  id: magalie_user_corinne
  login: ccr
  name: Corinne Cocolon
  accreditationLevel: 0

xavier:
  &xavier !user
  id: magalie_user_xavier
  login: xbe
  name: Xavier Bertini
  accreditationLevel: 0

users:
  - *bruno
  - *corinne
  - *pascal
  - *xavier

B1:
  &B1 !building
  id: building_1
  code: B1

B2:
  &B2 !building
  id: building_2
  code: B2

buildings:
  - *B1
  - *B2

U01:
  &U01 !warehouse
  id: warehouse_u01
  code: U01
  building: *B1

U02:
  &U02 !warehouse
  id: warehouse_u02
  code: U02
  building: *B1

U03:
  &U03 !warehouse
  id: warehouse_u03
  code: U03
  building: *B2

U04:
  &U04 !warehouse
  id: warehouse_u04
  code: U04
  building: *B2

SOM:
  &SOM !warehouse
  id: warehouse_som
  code: SOM
  building: *B1

B01:
  &B01 !warehouse
  id: warehouse_b01
  code: B01
  building: *B1

warehouses:
  - *U01
  - *U02
  - *U03
  - *U04
  - *SOM
  - *B01

location1:
  &location1 !location
  id: location1
  warehouse: *U01
  code: A01
  requiredAccreditationLevel: 0

location2:
  &location2 !location
  id: location2
  warehouse: *U01
  code: B02
  requiredAccreditationLevel: 9

location3:
  &location3 !location
  id: location3
  warehouse: *U01
  code: C03
  requiredAccreditationLevel: 0

location4:
  &location4 !location
  id: location4
  warehouse: *U01
  code: D04
  requiredAccreditationLevel: 9

location5:
  &location5 !location
  id: location5
  warehouse: *U02
  code: F01
  requiredAccreditationLevel: 0

location6:
  &location6 !location
  id: location6
  warehouse: *U02
  code: G02
  requiredAccreditationLevel: 0

location7:
  &location7 !location
  id: location7
  warehouse: *U02
  code: H03
  requiredAccreditationLevel: 9

location8:
  &location8 !location
  id: location8
  warehouse: *U04
  code: A010
  requiredAccreditationLevel: 0

location9:
  &location9 !location
  id: location9
  warehouse: *SOM
  code: B10
  requiredAccreditationLevel: 0

location10:
  &location10 !location
  id: location10
  warehouse: *SOM
  code: B24
  requiredAccreditationLevel: 0

location11:
  &location11 !location
  id: location11
  warehouse: *SOM
  code: B77
  requiredAccreditationLevel: 0

location12:
  &location12 !location
  id: location12
  warehouse: *SOM
  code: C12
  requiredAccreditationLevel: 0

location13:
  &location13 !location
  id: location13
  warehouse: *U01
  code: REC
  requiredAccreditationLevel: 0

location14:
  &location14 !location
  id: location14
  warehouse: *B01
  code: SANS
  requiredAccreditationLevel: 0

locations:
  - *location1
  - *location2
  - *location3
  - *location4
  - *location5
  - *location6
  - *location7
  - *location8
  - *location9
  - *location10
  - *location11
  - *location12
  - *location13
  - *location14

article1:
  &article1 !article
  id: article1
  fixedLocations:
    - *location4
    - *location8
  code: 4034108
  quantityInKanban: 50
  unit: M
  description: Jonc Souple D5
  fixedLocationsFirst: false

article2:
  &article2 !article
  id: article2
  fixedLocations:
    - *location11
  code: 4033079
  quantityInKanban: 3
  unit: PCE
  description: Moteur Oréa Slt 50 RTS 50/12
  fixedLocationsFirst: false

article3:
  &article3 !article
  id: article3
  fixedLocations:
    - *location1
  code: 4092459
  quantityInKanban: 50
  unit: PCE
  description: Interface ASA/SOMFY + clip
  fixedLocationsFirst: false

article4:
  &article4 !article
  id: article4
  code: 4019450
  quantityInKanban: 20
  unit: PCE
  description: Kit Tr.PM Fixe 122G D40Plat 10
  fixedLocationsFirst: false

article5:
  &article5 !article
  id: article5
  fixedLocations:
    - *location5
  code: 4020012
  quantityInKanban: 10
  unit: B60
  description: Caisson 2005 3F 6000 Brun
  fixedLocationsFirst: false

article6:
  &article6 !article
  id: article6
  fixedLocations:
    - *location3
  code: 1421812
  quantityInKanban: 9
  unit: PCE
  description: Ensemble SOLIRIS UNO
  fixedLocationsFirst: false

articles:
  - *article1
  - *article2
  - *article3
  - *article4
  - *article5
  - *article6

storedArticle1:
  &storedArticle1 !stored-article
  id: storedArticle1
  article: *article1
  location: *location4
  quantity: 40

storedArticle2:
  &storedArticle2 !stored-article
  id: storedArticle2
  article: *article1
  location: *location8
  quantity: 20

storedArticle3:
  &storedArticle3 !stored-article
  id: storedArticle3
  article: *article2
  location: *location10
  quantity: 2

storedArticle4:
  &storedArticle4 !stored-article
  id: storedArticle4
  article: *article3
  location: *location1
  quantity: 90

storedArticle5:
  &storedArticle5 !stored-article
  id: storedArticle5
  article: *article1
  location: *location13
  quantity: 30

storedArticle6:
  &storedArticle6 !stored-article
  id: storedArticle6
  article: *article2
  location: *location11
  quantity: 100

storedArticle7:
  &storedArticle7 !stored-article
  id: storedArticle7
  article: *article2
  location: *location12
  quantity: 10

storedArticle8:
  &storedArticle8 !stored-article
  id: storedArticle8
  article: *article3
  location: *location2
  quantity: 500

storedArticle9:
  &storedArticle9 !stored-article
  id: storedArticle9
  article: *article3
  location: *location3
  quantity: 50

storedArticle10:
  &storedArticle10 !stored-article
  id: storedArticle10
  article: *article5
  location: *location5
  quantity: 5

storedArticle11:
  &storedArticle11 !stored-article
  id: storedArticle11
  article: *article5
  location: *location6
  quantity: 2

storedArticle12:
  &storedArticle12 !stored-article
  id: storedArticle12
  article: *article5
  location: *location7
  quantity: 25

storedArticle13:
  &storedArticle13 !stored-article
  id: storedArticle13
  article: *article6
  location: *location3
  quantity: 70

storedArticles:
  - *storedArticle1
  - *storedArticle2
  - *storedArticle3
  - *storedArticle4
  - *storedArticle5
  - *storedArticle6
  - *storedArticle7
  - *storedArticle8
  - *storedArticle9
  - *storedArticle10
  - *storedArticle11
  - *storedArticle12
  - *storedArticle13

storedArticlesForArticle1:
  - *storedArticle1
  - *storedArticle2
  - *storedArticle5

storedArticlesForArticle2:
  - *storedArticle3
  - *storedArticle6
  - *storedArticle7

storedArticlesForArticle3:
  - *storedArticle4
  - *storedArticle8
  - *storedArticle9

storedArticlesForArticle5:
  - *storedArticle10
  - *storedArticle11
  - *storedArticle12

storedArticlesForArticle6:
  - *storedArticle13

requestedList1:
  &requestedList1 !requested-list
  id: requestedList1
  code: 123456789
  requestDate: 2013-04-08 12:00:00
  urgent: true
  building: *B1

requestedList2:
  &requestedList2 !requested-list
  id: requestedList2
  code: 123456789
  requestDate: 2013-04-08 12:00:00
  urgent: false
  building: *B1

requestedLists:
  - *requestedList1
  - *requestedList2

requestedArticle1:
  &requestedArticle1 !requested-article
  id: requestedArticle1
  article: *article1
  quantity:  80
  requestedList: *requestedList1
  destinationLocation: *location14

requestedArticle2:
  &requestedArticle2 !requested-article
  id: requestedArticle2
  article: *article2
  quantity: 11
  requestedList: *requestedList1
  destinationLocation: *location14

requestedArticle3:
  &requestedArticle3 !requested-article
  id: requestedArticle3
  article: *article3
  quantity: 111
  requestedList: *requestedList1
  destinationLocation: *location14

requestedArticle4:
  &requestedArticle4 !requested-article
  id: requestedArticle4
  article: *article4
  quantity: 2
  requestedList: *requestedList1
  destinationLocation: *location14

requestedArticle5:
  &requestedArticle5 !requested-article
  id: requestedArticle5
  article: *article5
  quantity: 5
  requestedList: *requestedList2
  destinationLocation: *location14

requestedArticle6:
  &requestedArticle6 !requested-article
  id: requestedArticle6
  article: *article6
  quantity: 27
  requestedList: *requestedList2
  destinationLocation: *location14

requestedArticles:
  - *requestedArticle1
  - *requestedArticle2
  - *requestedArticle3
  - *requestedArticle4
  - *requestedArticle5
  - *requestedArticle6
